Loading...
Searching...
No Matches
HairSplittingFluidState< ScalarT, FluidSystem, BaseFluidState > Class Template Reference

This is a fluid state which makes sure that only the quantities allowed are accessed. More...

`#include <checkFluidSystem.hpp>`

Inheritance diagram for HairSplittingFluidState< ScalarT, FluidSystem, BaseFluidState >:

## Public Types

typedef ScalarT | Scalar

## Public Member Functions

void | allowTemperature (bool yesno)
void | allowPressure (bool yesno)
void | allowComposition (bool yesno)
void | allowDensity (bool yesno)
void | restrictToPhase (int phaseIdx)
BaseFluidState & | base ()
const BaseFluidState & | base () const
auto | temperature (unsigned phaseIdx) const -> decltype(this->base().temperature(phaseIdx))
auto | pressure (unsigned phaseIdx) const -> decltype(this->base().pressure(phaseIdx))
auto | moleFraction (unsigned phaseIdx, unsigned compIdx) const -> decltype(this->base().moleFraction(phaseIdx, compIdx))
auto | massFraction (unsigned phaseIdx, unsigned compIdx) const -> decltype(this->base().massFraction(phaseIdx, compIdx))
auto | averageMolarMass (unsigned phaseIdx) const -> decltype(this->base().averageMolarMass(phaseIdx))
auto | molarity (unsigned phaseIdx, unsigned compIdx) const -> decltype(this->base().molarity(phaseIdx, compIdx))
auto | molarDensity (unsigned phaseIdx) const -> decltype(this->base().molarDensity(phaseIdx))
auto | molarVolume (unsigned phaseIdx) const -> decltype(this->base().molarVolume(phaseIdx))
auto | density (unsigned phaseIdx) const -> decltype(this->base().density(phaseIdx))
auto | saturation (unsigned phaseIdx) const -> decltype(this->base().saturation(phaseIdx))
auto | fugacity (unsigned phaseIdx, unsigned compIdx) const -> decltype(this->base().fugacity(phaseIdx, compIdx))
auto | fugacityCoefficient (unsigned phaseIdx, unsigned compIdx) const -> decltype(this->base().fugacityCoefficient(phaseIdx, compIdx))
auto | enthalpy (unsigned phaseIdx) const -> decltype(this->base().enthalpy(phaseIdx))
auto | internalEnergy (unsigned phaseIdx) const -> decltype(this->base().internalEnergy(phaseIdx))
auto | viscosity (unsigned phaseIdx) const -> decltype(this->base().viscosity(phaseIdx))
auto | compressFactor (unsigned phaseIdx) const -> decltype(this->base().compressFactor(phaseIdx))

## Static Public Attributes

static constexpr int | numPhases = FluidSystem::numPhases
static constexpr int | numComponents = FluidSystem::numComponents

## Detailed Description

template<class ScalarT, class FluidSystem, class BaseFluidState = Opm::CompositionalFluidState<ScalarT, FluidSystem>>
class HairSplittingFluidState< ScalarT, FluidSystem, BaseFluidState >

This is a fluid state which makes sure that only the quantities allowed are accessed.

The documentation for this class was generated from the following file:

- opm/material/checkFluidSystem.hpp